Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.validator.rule
Class MissingOpenGraphNamespaceRule

    java.lang.Object
      org.apache.any23.validator.rule.MissingOpenGraphNamespaceRule

All Implemented Interfaces:
  Rule

    public class MissingOpenGraphNamespaceRule

extends Object
implements Rule

This rule detects the issue of missing Open Graph namespace.

Author:
  Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@fbk.eu)
See Also:
  `OpenGraphNamespaceFix`

Constructor Summary
`MissingOpenGraphNamespaceRule()`

Method Summary
`boolean` | `applyOn(DOMDocument document, RuleContext context, ValidationReportBuilder validationReportBuilder)` Applies this rule to the given document.
`String` | `getHRName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingOpenGraphNamespaceRule

    public MissingOpenGraphNamespaceRule()

Method Detail

### getHRName

    public String getHRName()

  Specified by:
    `getHRName` in interface `Rule`
  Returns:
    returns the human readable name for this rule.

### applyOn

    public boolean applyOn(DOMDocument document,
                           RuleContext context,
                           ValidationReportBuilder validationReportBuilder)

  Description copied from interface: `Rule`
  Applies this rule to the given document.

  Specified by:
    `applyOn` in interface `Rule`
  Parameters:
    `document` - the target document.
    `context` - the context used to pass data to an eventual `Fix`.
    `validationReportBuilder` - the report builder used to collect rule reporting.
  Returns:
    `true` if al least an issue is detected, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.